# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-XML-NamespaceSupport
Version:	1.11
Release:	7.%{__distinit}%{__distvers}
Summary:	A simple generic namespace support class
Group:		Development/Libraries
License:	GPL+ or Artistic
Url:		http://search.cpan.org/dist/XML-NamespaceSupport/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module offers a simple way to process namespaced XML names (unames) from
within any application that may need them. It also helps maintain a prefix to
namespace URI map, and provides a number of basic checks.

%prep
%setup -q -n XML-NamespaceSupport-%{version}
chmod -c -x lib/XML/NamespaceSupport.pm

%build
perl Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::NamespaceSupport.3pm*

%changelog
* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 1.11-7
- BR: perl(constant) and perl(Cwd)
- don't need to remove empty directories from the buildroot
- drop support for old distributions priot to FC-3:
  - don't need to define %%{perl_vendorlib}
  - user DESTDIR rather than PERL_INSTALL_ROOT

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1.11-5
- rebuild for perl 5.14.1 in Rawhide
- nobody else likes macros for commands
- fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.11-3
- rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> - 1.11-2
- fix dist tag for RHEL-6 Beta

* Tue Mar 16 2010 Paul Howarth <paul@city-fan.org> - 1.11-1
- update to 1.11 (re-generate the META.yml)

* Mon Feb  8 2010 Paul Howarth <paul@city-fan.org> - 1.10-2
- dist tag for Rawhide no longer needs special-casing
- use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Mon Jun 15 2009 Paul Howarth <paul@city-fan.org> - 1.10-1
- update to 1.10 (re-bundle with modern testing and Module::Install)
- buildreq perl(Test::More)
- new upstream maintainer -> new source URL
- add --skipdeps to Makefile.PL invocation so we don't need perl(CPAN)

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> - 1.09-3
- clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 26 2007 Paul Howarth <paul@city-fan.org> - 1.09-2
- import from Fedora Core
- add dist tag macros
- buildreq perl(ExtUtils::MakeMaker)
- use search.cpan.org download URL
- improve summary and description
- cosmetic spec file cleanups
- macro-ize commands where possible, hardcode paths elsewhere
- fix argument order for find with -depth

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.09-1.2.1
- rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.09-1.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Sep  9 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to 1.09.

* Sat Apr 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-7
- Bring up to date with current Fedora.Extras perl spec template. (#156511)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1.08-6
- rebuild

* Thu Oct 17 2002 cturner@redhat.com
- Specfile autogenerated

